global.jQuery = require('jquery');
global.sliderPro = require('slider-pro');
global.PhotoSwipe = require('photoswipe');
global.PhotoSwipeUI_Default = require('../../../node_modules/photoswipe/dist/photoswipe-ui-default.js');



(function ( $ ) { //

    $.fn.mediaplayer = function() {

        return this.each(function() {

            var _mediaplayer = this;

            media.forEach(function(element) {

                $template = $(_mediaplayer).find('.sp-slide-template').clone(false);

                $template.removeClass('sp-slide-template');
                $template.find('.sp-image').attr('src', element.src.file);
                $template.find('.sp-thumbnail-image').attr('src', element.thumbnail.src);
                $template.find('.sp-thumbnail').css('background-image', 'url('+element.thumbnail.src+')');
                $template.find('.sp-thumbnail-text').attr('src', element.meta.title);

                var html = $template.html();
                $.each( element.meta, function( key, value ) {
                    var re = new RegExp('{'+key+'}',"g");
                    html = html.replace(re, value);
                });
                $template.html(html);

                $(_mediaplayer).find('.sp-slides').append($template);

            });

            $(_mediaplayer).find('.sp-slide-template').remove();

            $( _mediaplayer ).sliderPro({
                arrows: true,
                autoplay: false,
                buttons: false,
                width: 656,
                height: 438,
                loop: false,
                thumbnailHeight: 120,
                thumbnailWidth: 180,
                thumbnailArrows: true,
                thumbnailPointer: true,
                fadeThumbnailArrows: false,
            });

        });

    };

}( jQuery ));

// ** ---------------------------------------------

// build items array

var media = [
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2859/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2859/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2859/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2859,
            title: 'Onze Lieve Vrouw Tenhemelopnemning in Einighausen',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De Gertrudiskerk in Maarheeze is gebouwd naar het voorbeeld van deze kerk van Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2861/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2861/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2861/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2861,
            title: 'Boogramen',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De kerk in Einighausen heeft boogramen in het westfront. Daaruit blijkt dat de kerk in Einighausen georiënteerd staat. De Sint Gertrudis heeft op deze plaats een roosvenster. Deze kerk staat in de noord-zuid-lijn.',
        },
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2869/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2869/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2869/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2869,
            title: 'Fronttorens',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De kerk heeft twee fronttorens. Ook hier zie de toepassing van rondbogen en diverse steensoorten. Het front van de kerk in Maarheeze heeft tussen de torens een roosvenster.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2867/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2867/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2867/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2867,
            title: 'Hoofdingang',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De hoofdingang van de kerk met twee hardstenen zuiltjes links en rechts van de deur. je zie ook de toepassing van verschillende steensoorten.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2860/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2860/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2860/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2860,
            title: 'Kapitelen aan de hoofdingang',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De Gertrudiskerk in Maarheeze is gebouwd naar het voorbeeld van deze kerk van Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2862/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2862/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2862/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2862,
            title: 'Noordzijde',
            description: 'Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2866/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2866/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2866/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2866,
            title: 'Vergelijking van de zijkant van beide kerken',
            description: 'Voorbeeld van deze kerk van Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2863/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2863/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2863/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2863,
            title: 'Luchtbogen en boogramen',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De Gertrudiskerk in Maarheeze is gebouwd naar het voorbeeld van deze kerk van Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2873/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2873/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2873/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2873,
            title: 'Topgevel van de dwarsbeuk',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De Gertrudiskerk in Maarheeze is gebouwd naar het voorbeeld van deze kerk van Onze Lieve Vrouw Tenhemelopnemning te Einighausen. In grote lijn lijken de kerken sterk op elkaar. Echter in veel details zie je de verschillen. De kerk in Einighausen is gebouwd naar een ontwerp van de architect Caspar Franssen.',
        }
    },
    {
        type: 'image',
        thumbnail: {
            src: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2871/slideshow_thumb.png',
            width: 180,
            height: 120,
        },
        src: {
            file: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2871/poster.png',
            original: 'http://www.localhistory.nl/website/public/data/afbeeldingen/2871/original.png',
            width: 720,
            height: 480,
        },
        meta: {
            id: 2871,
            title: 'Oostzijde',
            description: 'Einighausen-Kerk van Onze Lieve Vrouw ten Hemelopneming. De koorsluiting van de kerk. Hier zie je de toepassing van verschillende steensoorten.',
        }
    }
];